Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.droolsjbpm.services.impl
Class CDISessionManager

    java.lang.Object
      org.droolsjbpm.services.impl.CDISessionManager

All Implemented Interfaces:
  SessionManager

    @ApplicationScoped
    public class CDISessionManager

extends Object
implements SessionManager

Field Summary
`protected org.drools.core.util.FileManager` | `fileManager`

Constructor Summary
`CDISessionManager()`
`CDISessionManager(Domain domain)`

Method Summary
`void` | `addKsessionHandler(String ksessionName, String handlerName, WorkItemHandler handler)`
`void` | `addProcessDefinitionToSession(String sessionName, String processId)`
`void` | `addProcessInstanceIdKsession(Integer ksessionId, Long processInstanceId)`
`int` | `buildSession(String sessionName, String path, boolean streamMode)`
`void` | `clear()`
`protected void` | `completeOperation(UserTransaction ut, javax.persistence.EntityManager entityManager)`
`protected KieFileSystem` | `createKieFileSystemWithKProject(String name, KieServices ks)`
`protected org.kie.builder.impl.InternalKieModule` | `createKieJar(KieServices ks, ReleaseId releaseId, String sessionName, Iterable<org.kie.commons.java.nio.file.Path> processPaths, Iterable<org.kie.commons.java.nio.file.Path> rulesPaths)`
`void` | `destroy()`
`Collection<String>` | `getAllSessionsNames()`
`Domain` | `getDomain()`
`protected javax.persistence.EntityManager` | `getEntityManager()`
`KieSession` | `getKsessionById(int ksessionId)`
`Map<Integer,KieSession>` | `getKsessionsByName(String ksessionName)`
`protected String` | `getPom(ReleaseId releaseId, ReleaseId... dependencies)`
`Map<String,List<String>>` | `getProcessDefinitionNamesBySession()`
`protected Collection<ProcessDesc>` | `getProcessesBySessionName(String sessionName)`
`Collection<String>` | `getProcessesInSession(String sessionName)`
`String` | `getProcessInSessionByName(String processDefId)`
`Map<Integer,Long>` | `getProcessInstanceIdKsession()`
`int` | `getSessionForProcessInstanceId(Long processInstanceId)`
`List<Integer>` | `getSessionIdsByName(String ksessionName)`
`void` | `init()`
`int` | `newKieSession(String groupId, String artifactId, String version, String kbaseName, String sessionName)`
`void` | `registerHandlersForSession(String ksessionName, int version)`
`void` | `registerRuleListenerForSession(String ksessionName, int version)`
`void` | `removeProcessDefinitionFromSession(String sessionName, String processId)`
`void` | `setDomain(Domain domain)`
`protected UserTransaction` | `setupEnvironment(Environment environment)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fileManager

    protected org.drools.core.util.FileManager fileManager

Constructor Detail

### CDISessionManager

    public CDISessionManager()

### CDISessionManager

    public CDISessionManager(Domain domain)

Method Detail

### setDomain

    public void setDomain(Domain domain)

  Specified by:
    `setDomain` in interface `SessionManager`

### getDomain

    public Domain getDomain()

  Specified by:
    `getDomain` in interface `SessionManager`

### addKsessionHandler

    public void addKsessionHandler(String ksessionName,
                                   String handlerName,
                                   WorkItemHandler handler)

  Specified by:
    `addKsessionHandler` in interface `SessionManager`

### registerHandlersForSession

    public void registerHandlersForSession(String ksessionName,
                                           int version)

  Specified by:
    `registerHandlersForSession` in interface `SessionManager`

### registerRuleListenerForSession

    public void registerRuleListenerForSession(String ksessionName,
                                               int version)

  Specified by:
    `registerRuleListenerForSession` in interface `SessionManager`

### getProcessInstanceIdKsession

    public Map<Integer,Long> getProcessInstanceIdKsession()

  Specified by:
    `getProcessInstanceIdKsession` in interface `SessionManager`

### addProcessInstanceIdKsession

    public void addProcessInstanceIdKsession(Integer ksessionId,
                                             Long processInstanceId)

  Specified by:
    `addProcessInstanceIdKsession` in interface `SessionManager`

### getKsessionsByName

    public Map<Integer,KieSession> getKsessionsByName(String ksessionName)

  Specified by:
    `getKsessionsByName` in interface `SessionManager`

### getKsessionById

    public KieSession getKsessionById(int ksessionId)

  Specified by:
    `getKsessionById` in interface `SessionManager`

### getSessionForProcessInstanceId

    public int getSessionForProcessInstanceId(Long processInstanceId)

  Specified by:
    `getSessionForProcessInstanceId` in interface `SessionManager`

### getSessionIdsByName

    public List<Integer> getSessionIdsByName(String ksessionName)

  Specified by:
    `getSessionIdsByName` in interface `SessionManager`

### getAllSessionsNames

    public Collection<String> getAllSessionsNames()

  Specified by:
    `getAllSessionsNames` in interface `SessionManager`

### getProcessDefinitionNamesBySession

    public Map<String,List<String>> getProcessDefinitionNamesBySession()

### addProcessDefinitionToSession

    public void addProcessDefinitionToSession(String sessionName,
                                              String processId)

  Specified by:
    `addProcessDefinitionToSession` in interface `SessionManager`

### removeProcessDefinitionFromSession

    public void removeProcessDefinitionFromSession(String sessionName,
                                                   String processId)

  Specified by:
    `removeProcessDefinitionFromSession` in interface `SessionManager`

### getProcessesInSession

    public Collection<String> getProcessesInSession(String sessionName)

  Specified by:
    `getProcessesInSession` in interface `SessionManager`

### getProcessInSessionByName

    public String getProcessInSessionByName(String processDefId)

  Specified by:
    `getProcessInSessionByName` in interface `SessionManager`

### clear

    public void clear()

  Specified by:
    `clear` in interface `SessionManager`

### newKieSession

    public int newKieSession(String groupId,
                             String artifactId,
                             String version,
                             String kbaseName,
                             String sessionName)

  Specified by:
    `newKieSession` in interface `SessionManager`

### buildSession

    public int buildSession(String sessionName,
                            String path,
                            boolean streamMode)

  Specified by:
    `buildSession` in interface `SessionManager`

### getProcessesBySessionName

    protected Collection<ProcessDesc> getProcessesBySessionName(String sessionName)

### getEntityManager

    protected javax.persistence.EntityManager getEntityManager()

### setupEnvironment

    protected UserTransaction setupEnvironment(Environment environment)

### completeOperation

    protected void completeOperation(UserTransaction ut,
                                     javax.persistence.EntityManager entityManager)

### init

    @PostConstruct
    public void init()

### destroy

    @PreDestroy
    public void destroy()

### getPom

    protected String getPom(ReleaseId releaseId,
                            ReleaseId... dependencies)

### createKieJar

    protected org.kie.builder.impl.InternalKieModule createKieJar(KieServices ks,
                                                                  ReleaseId releaseId,
                                                                  String sessionName,
                                                                  Iterable<org.kie.commons.java.nio.file.Path> processPaths,
                                                                  Iterable<org.kie.commons.java.nio.file.Path> rulesPaths)

### createKieFileSystemWithKProject

    protected KieFileSystem createKieFileSystemWithKProject(String name,
                                                            KieServices ks)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.